[Pkg-ossec-devel] [SCM] Git repository for pkg-ossec branch, debian, updated. ffccd6ed86dc57118f931bf4f2d8ebac6a3f7ea2
Jose Antonio Quevedo
joseantonio.quevedo at gmail.com
Sat Jul 23 15:04:08 UTC 2011
The following commit has been merged in the debian branch:
commit 707e908fe9e3630037c9b1a7cb0255c0e70ab527
Author: Jose Antonio Quevedo <joseantonio.quevedo at gmail.com>
Date: Thu Jul 21 18:35:58 2011 +0200
Returning to original install.sh version 2.5.1 to update the sources to upstream version 2.6.
diff --git a/install.sh b/install.sh
index 2ba59a1..a133c80 100755
--- a/install.sh
+++ b/install.sh
@@ -11,12 +11,12 @@
# Changelog 15/07/2006 - Rafael M. Capovilla <under at underlinux.com.br>
# New function AddTable to add support for OpenBSD pf rules in firewall-drop active response
-# Uncomment for verbose mode
-#set -x
+
### Looking up for the execution directory
cd `dirname $0`
+
### Looking for echo -n
ECHO="echo -n"
hs=`echo -n "a"`
@@ -54,7 +54,17 @@ for i in $*; do
fi
done
- echo "DIR=\"${INSTALLDIR}\"" > ${LOCATION}
+
+
+##########
+# install()
+##########
+Install()
+{
+ echo ""
+ echo "5- ${installing}"
+
+ echo "DIR=\"${INSTALLDIR}\"" > ${LOCATION}
echo "CC=${CC}" >> ${LOCATION}
echo "GCC=${CC}" >> ${LOCATION}
echo "CLANG=clang" >> ${LOCATION}
@@ -68,22 +78,24 @@ done
echo "CEXTRA=${CEXTRA}" >> ./src/Config.OS
# Makefile
- echo " - ${runningmake}"
-# cd ./src
+ echo " - ${runningmake}"
+ cd ./src
# Binary install will use the previous generated code.
-# if [ "X${USER_BINARYINSTALL}" = "X" ]; then
-# build
-# fi
-
-
-##########
-# install()
-##########
-Install()
-{
- echo ""
- echo "5- ${installing}"
+ if [ "X${USER_BINARYINSTALL}" = "X" ]; then
+ make all
+ if [ $? != 0 ]; then
+ cd ../
+ catError "0x5-build"
+ fi
+
+ # Building everything
+ make build
+ if [ $? != 0 ]; then
+ cd ../
+ catError "0x5-build"
+ fi
+ fi
# If update, stop ossec
if [ "X${update_only}" = "Xyes" ]; then
@@ -91,7 +103,7 @@ Install()
fi
# Making the right installation type
- if [ "X$INSTYPE" = "Xserver" ]; then
+ if [ "X$INSTYPE" = "Xserver" ]; then
./InstallServer.sh
elif [ "X$INSTYPE" = "Xagent" ]; then
@@ -844,11 +856,10 @@ AddPFTable()
}
##########
-# pre()
+# main()
##########
-pre()
+main()
{
-
LG="en"
LANGUAGE="en"
. ./src/init/shared.sh
@@ -1086,14 +1097,6 @@ pre()
fi
fi
-}
-
-##########
-# main()
-##########
-main()
-{
-
# Installing (calls the respective script
# -- InstallAgent.sh or InstallServer.sh
Install
@@ -1168,52 +1171,16 @@ main()
fi
}
-# Inicio del parche
-##########
-# build()
-##########
-build()
-{
- cd `dirname $0`
- cd ./src/
- make all
- if [ $? != 0 ]; then
- cd ../
- catError "0x5-build"
- fi
-
- # Building everything
- make build
- if [ $? != 0 ]; then
- cd ../
- catError "0x5-build"
- fi
-
-}
-
-USER_LANGUAGE="en"
-USER_INSTALL_TYPE="server"
-pre
+### Calling main function where everything happens
+main
-case $1 in
- "build")
- build
- ;;
- "install")
-# Call main function where installation happens
- main
- ;;
- *)
- echo " Unknown argument $1" >&2
- exit 1
- ;;
- esac
exit 0
+
## EOF ##
--
Git repository for pkg-ossec
More information about the Pkg-ossec-devel
mailing list